Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 200516 - Context help for "Add Server..." action is not working until J2EE features are activated
Context help for "Add Server..." action is not working until J2EE features ar...
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: GlassFish
7.0.1
PC All
: P3 (vote)
: 7.2
Assigned To: Vince Kraemer
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 12:59 UTC by Jiri Kovalsky
Modified: 2012-05-18 18:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Kovalsky 2011-07-29 12:59:21 UTC
Product Version: NetBeans IDE 7.0.1 (Build 201107282000)
Java: 1.7.0; Java HotSpot(TM) 64-Bit Server VM 21.0-b17
System: Linux version 2.6.35-22-generic running on amd64; UTF-8; cs_CZ (nb)
Userdir: /home/cesilko/.netbeans/7.0

Description:
============
System help in NetBeans 7.0.1 is not context sensitive for "Add Server..." action if Java Web and EE features are not activated yet. It opens Help window but it does not display desired content user needs help with.

Steps to reproduce:
===================
1. Install Full distribution of NetBeans IDE 7.0.1 RC build #201107282000.
2. Switch to "Services" view.
3. Right click "Servers" node and choose "Add Server..." action.
4. Press "Next >" and then "Help" buttons.
5. Help window will get opened but the content panel will show default "This
window contains the master set of all installed documentation..." message or previously displayed help page.
Comment 1 Kenneth Ganfield 2011-07-29 13:49:14 UTC
I would suggest disabling the Help button in the Add Server wizard if the JavaEE module is not already enabled. As soon as a user attempts to add a server, the Java EE module will be enabled and so thus all subsequent invocations of the Add Server wizard will have the button enabled.
Comment 2 Petr Hejl 2012-04-04 15:52:01 UTC
I tested thin on trunk:

1. Switch to "Services" view.
2. Right click "Servers" node and choose "Add Server..." action.

2a. Keep selected GF. Is that right? Anything else will enable Java EE, while keeping the help button disabled.

3. Press "Next >" and then "Help" buttons. So you get to the first step of GF wizard.

Is that the reported case? In such case I think it is problem with GF. It should contain some help even for generic registration (no Java EE) as such use case is allowed. For example for ruby.

So I think AddServerLocationPanel.getHelp() is the right place where to fix this.
Comment 3 Kenneth Ganfield 2012-04-05 12:24:15 UTC
I am not sure what is being suggested here
Comment 4 Kenneth Ganfield 2012-04-05 13:07:01 UTC
So looking at 7.1.1, if the user invokes help in the Server Location panel, the help id is: registering_app_server_hk2_location
The topic is located in the server plugins module which is not activated yet.
The topic could be moved to the java helpset, but the topic is oriented more toward java ee users.

I think this is a pretty corner case, but if there are some occasions where a user might go to this dialog and use glassfish without activating the Java EE modules I would like to hear them.
Comment 5 Petr Hejl 2012-04-05 14:32:48 UTC
(In reply to comment #4)
> So looking at 7.1.1, if the user invokes help in the Server Location panel, the
> help id is: registering_app_server_hk2_location
> The topic is located in the server plugins module which is not activated yet.
Yep that is what I meant.

> The topic could be moved to the java helpset, but the topic is oriented more
> toward java ee users.
> 
> I think this is a pretty corner case, but if there are some occasions where a
> user might go to this dialog and use glassfish without activating the Java EE
> modules I would like to hear them.
AFAIK the original intention was to have support for different technologies on GF (Java EE, Ruby, Groovy,...). So in such case I guess there should be a generic (registration) help and other topics for different technologies. I don't know how important or relevant it is now.

From my point of view it is not infrastructure problem but a GF specific issue. It should be easy to disable help in GF plugin.
Comment 6 Vince Kraemer 2012-05-17 22:31:25 UTC
not too hard.
Comment 7 Quality Engineering 2012-05-18 09:53:30 UTC
Integrated into 'main-golden', will be available in build *201205180400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/78b9045af9b6
User: vince kraemer <vkraemer@netbeans.org>
Log: #200516 : disable help if the id is not available


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo